package widebase.stream.handler.rq

import akka.actor.Actor

import org.jboss.netty.channel.Channel

import widebase.stream.codec.rq. {

  EventMessage,
  NotifyMessage,
  PublishMessage,
  RollbackMessage,
  TableMessage

}

/** Actor to write consumer.
 *
 * @author myst3r10n
 */
class ConsumerWriter(channel: Channel, selector: String) extends Actor {

  def receive = {

    case message: NotifyMessage => channel.write(new EventMessage(message.text))
    case message: PublishMessage =>
      if(!selector.isEmpty) {

        // selector code to filter subscribed data...

      }

      channel.write(new TableMessage(message.bytes))

    case message: RollbackMessage => channel.write(message)

  }
}

